Bug 1472362 - pkgwat: Provide a Python 3 subpackage
Summary: pkgwat: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgwat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2017-07-18 14:47 UTC by Iryna Shcherbina
Modified: 2019-02-04 00:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 23:57:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-07-18 14:47:23 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


Python 3 support is currently disabled in pkgwat [0] until python3-cliff becomes available, which already is. Can it be enabled now?

[0] https://src.fedoraproject.org/cgit/rpms/pkgwat.git/tree/pkgwat.spec#n12

Comment 1 Kevin Fenzi 2017-07-31 23:57:24 UTC
Done!

Comment 2 Alan Pevec (Fedora) 2019-01-31 12:46:08 UTC
Do you plan to drop python2-pkgwat subpackage for https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3#Phase_2:_Mass_Python_2_Package_Removal ?

Comment 3 Miro Hrončok 2019-02-01 00:31:30 UTC
JFYI python2-gearbox was not automatically requested for removal because it has /usr/bin/pkgwat.


Not sure if requesting needinfo on closed bugs will do, feel free to open a separate bugzilla and block PY2REMOVAL.

Comment 4 Kevin Fenzi 2019-02-04 00:31:06 UTC
I moved pkgwat to the python3 version and dropped the python2 subpackages.


Note You need to log in before you can comment on or make changes to this bug.